<img src="https://user-images.githubusercontent.com/1198473/221282129-3325f95c-c99f-4dbc-a227-447b788d4791.png" width="50" />

# SLI Ember Component Library
A shared component library for common components across all SLI applications.  
[Documentation →](https://www.notion.so/sli-engineering/Connect-Frontend-801b19f91b2d4198aa20adb9a75d88a8?pvs=4)

## Compatibility

* Ember.js v3.24 or above
* Ember CLI v3.24 or above
* Node.js v12 or above


## Installation

```
yarn add -D sli-ember-library tailwindcss
```

## Configuration

```js
// tailwind.config.js

'use strict';

const sliEmberLibrary = require('sli-ember-library/tailwind');

module.exports = {
  content: [...sliEmberLibrary.content()],

  ...
};
```

## Usage

Contains components meant to be shared across SLI Ember projects, including:

* Forms::PasswordReset


## Publishing to NPM
[SLI UI Library on NPM](https://www.npmjs.com/package/sli-ember-library)

This package is auto-deployed to NPM through GitHub Actions. To publish a new version you just need to bump ther version in the `package.json` before you commit to `develop`.

Easy commands to help version bumps are
```
yarn version --major
yarn version --minor
yarn version --patch
```


## License

This project is licensed under the [MIT License](LICENSE.md).
